Delete Multiple Sessions
curl --request DELETE \
--url https://api.example.com/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_ids": [
"<string>"
],
"session_types": []
}
'import requests
url = "https://api.example.com/sessions"
payload = {
"session_ids": ["<string>"],
"session_types": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_ids: ['<string>'], session_types: []})
};
fetch('https://api.example.com/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Sessions
Delete Multiple Sessions
Delete multiple sessions by their IDs in a single operation. This action cannot be undone and will permanently remove all specified sessions and their runs.
DELETE
/
sessions
Delete Multiple Sessions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
User ID to scope deletion to
Database ID to use for deletion
Table to use for deletion
Also delete the sessions' offloaded media from media storage
Body
application/json
Response
Sessions deleted successfully